apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    name: home-assistant-config-pvc
    namespace: home-stuff
spec:
    accessModes:
        - ENC[AES256_GCM,data:b60W42vH/VOZCnwNtg==,iv:xXJP90tbODDF0oqa8TFqsnKgCbYtlFtoCKNSm1GvoEY=,tag:H7SvEakfNNxXLNSzsNGCEQ==,type:str]
    storageClassName: ENC[AES256_GCM,data:xFkr91hQjXoizQ==,iv:GoJaEEfHgSjXZDHNMlAc5WJzwgnwsnfuTabuIgFphmI=,tag:cDTEMZNqas8KwPwrPl590w==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:70LA,iv:cJ5KzHYf0L7u5lKpiJI1RseC3ZZ+H0pw68paGhaGvXs=,tag:D2gN1/d/0Fn1B7ycm7oplw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSByNGhtRWRwYXNCSkxrbldP
            MzAvOFhsS0RZSGFrLzk5Z1RTV2szOW5qMGpzCllrUDN3ejR0bXJlK0R5S0VGTEVR
            UWpMYVJtQWdHMkVhL1orZDZ6OE1JaU0KLS0tIHFQSFlkU2lCQ3JlQklyS1RPdmZT
            ZmRMOVZ0alZnYVJKb3dzbTZ6TFVHSXcKkyVVddO/r+twHJewXGzG/rxgONoqhSkR
            ceX4xOyoB2PqMJ5RC9apgPpZJYTvCu1pZWIWOa/JtAb48vHQzXqqyA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:75Odm5iB2G+CNKKGfaLCDPs4yaA3QzvXB3VwoJRh3KC+WGMwVUXKqpqXKju7ldaMjJinOS89h1SIuFneE1o7lIVcf4lqIwbJwX7PVEfvKUUByYrjMdT/TW/t6avOrAInqZ1FrvkFb56kNjBnwM8LQ/ptjThlHffDEAusTwf4f0c=,iv:BKoSGzQucM2n4akJhnWL6wHAS/SzJ3EscyNxy+kPC7g=,tag:yBy7PeOn3HjnFCS20Z2wmA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    name: home-assistant-svc
    namespace: home-stuff
spec:
    selector:
        app: ENC[AES256_GCM,data:mG/6P2s8areuOJx3Yjo=,iv:xLxx5nhTV6R+5BY/GkBblNXRKSUFGTe3L8YJpnKxREE=,tag:naKtBHX29PYIDwjbKEifnA==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:07wh,iv:l5TQDXfrTVZoM60T4QMm0c1AsNHQWh7fnkQn8+hVpRI=,tag:sePSWJFiT2xZoKY5O9Ipvw==,type:int]
          protocol: ENC[AES256_GCM,data:A0Sj,iv:O0mv5EjzbZ4l48goEnIXkjakZG5Zo3ybf9p2J0ovWW0=,tag:cW9cXgtf5Z7QMWkvpWGJkA==,type:str]
          targetPort: ENC[AES256_GCM,data:WMWC5g==,iv:HuT71XKfydh78VlZIrJXsjpDmONzKktDh8psWwgELf8=,tag:NacdbxYVVmHJZIe6+6WaGA==,type:int]
    type: ClusterIP
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSByNGhtRWRwYXNCSkxrbldP
            MzAvOFhsS0RZSGFrLzk5Z1RTV2szOW5qMGpzCllrUDN3ejR0bXJlK0R5S0VGTEVR
            UWpMYVJtQWdHMkVhL1orZDZ6OE1JaU0KLS0tIHFQSFlkU2lCQ3JlQklyS1RPdmZT
            ZmRMOVZ0alZnYVJKb3dzbTZ6TFVHSXcKkyVVddO/r+twHJewXGzG/rxgONoqhSkR
            ceX4xOyoB2PqMJ5RC9apgPpZJYTvCu1pZWIWOa/JtAb48vHQzXqqyA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:75Odm5iB2G+CNKKGfaLCDPs4yaA3QzvXB3VwoJRh3KC+WGMwVUXKqpqXKju7ldaMjJinOS89h1SIuFneE1o7lIVcf4lqIwbJwX7PVEfvKUUByYrjMdT/TW/t6avOrAInqZ1FrvkFb56kNjBnwM8LQ/ptjThlHffDEAusTwf4f0c=,iv:BKoSGzQucM2n4akJhnWL6wHAS/SzJ3EscyNxy+kPC7g=,tag:yBy7PeOn3HjnFCS20Z2wmA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    namespace: home-stuff
    name: gome-assistant-ingress
    annotations:
        # < use the nginx ingress controller
        kubernetes.io/ingress.class: nginx
        # < use letsencrypt-prod application in kubernetes to generate ssl certificate
        cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
    tls:
        - hosts:
            - ENC[AES256_GCM,data:IaBYG0xvgmF3OsjOS5sdq5Q7IAUfvh4bMQ==,iv:mw5GCOov8bo2hq+qtpw8vhpyNUItm+WZsq0/6rzXHXc=,tag:ylqDicUePxEOUuuWLG/ejw==,type:comment]
            - ENC[AES256_GCM,data:0BcqqweLBrXI4/rm,iv:NPQdk2NdG6kvjCaDuLK5Xbg+1ufMhqup8o8ZgE0e9WI=,tag:LY6HhDPsnXrPf068disPUA==,type:str]
          #ENC[AES256_GCM,data:5j2CfeDAFMl4dL4byEe9O78qnjBJJISSF0d9Lm5YPYtddkNnpxQWR4TE/d71PsNVOgmyDLyAtLhA,iv:CKH493jI5NNoKWRF8D415v8fx00OwSpJR4svJSiKv3c=,tag:EQVckzfLylwBIz/LY4jItA==,type:comment]
          secretName: ENC[AES256_GCM,data:bPjsJ/fL,iv:oHjD54QC8wgjwrHUKrFzBhAP7aO395cjMSutG+VfMb4=,tag:DtvhkpoKKpqgWY/vfw4EQQ==,type:str]
    rules:
        - ENC[AES256_GCM,data:C+Aq9jifEdLc2MkZyJkz15+eE/dLksW3MQ==,iv:3+9oZai/HY31BsU0uf1KskEMNzdP7h9Z/neFHjYEqBk=,tag:EPOO6nj0AFG8cuUUU2vuMQ==,type:comment]
        - host: ENC[AES256_GCM,data:UDUq0bv2jW3VvGJ9,iv:VgXuSH0wnr3/MKON42hg8Fd9/XmTZfjiv7JI0wYZayo=,tag:RkK/yN0MLT1jeKDzVaN2PA==,type:str]
          http:
            paths:
                - ENC[AES256_GCM,data:az+C+ZpL2HFlcCe0oQjE+hhcTxqaqkRRT4KrI4p81PwGATLDdE1lRiTqkz4s7vgCqCmFl1KQIKd8IpSCt72QDF3YgF4x,iv:BgUShl7pDrjbHK9I23+t+zWh0dQxjQxhm/2Ita8PhWs=,tag:AvDKKccBX89fNd4PdW7nZg==,type:comment]
                - path: ENC[AES256_GCM,data:+w==,iv:xPw/yrDcwLv2XPoi4pQT5d/lL4fXm2l+/uhQCh4849g=,tag:sOBO9wf8pjraqq000LPETw==,type:str]
                  pathType: ENC[AES256_GCM,data:E0nglDhN,iv:RHaSfVHM1XWE9777kbgLYGSCbi7ZmAfojkMu/m/k6N0=,tag:/a/ymwvaYacfiJ2ZNbfQSQ==,type:str]
                  backend:
                    service:
                        #ENC[AES256_GCM,data:0qGoa1qSfrXtBzKYAFFlwdoKy9kAOqv2v3n/zdoUr57LskYPO69GyTRZI7ovIZRwGmsxGGrjdu57B01bsGjB,iv:6AFaYRza3fivWoeYio7ZzJfUhqvxESS2r3Mgw3fFulw=,tag:9ktSWtNtOGN2cxMzT5KCVw==,type:comment]
                        name: ENC[AES256_GCM,data:idNMWrXnsvLaZYW873/j20IO,iv:k9R8CchAp4BQdIFWPOQMrPTrld7wG5o7x47aFDcivso=,tag:szyAfDmp3bUsk24nSWNlWA==,type:str]
                        port:
                            #ENC[AES256_GCM,data:Y7rnPAXpO9Q48zwHL9aEQJaoDEFbB30gI1n45v4rJsvYIj00Rewl3e+QeeqwD+VB1mPXQfebY8S978J4,iv:FLDlj6dX6lw2nwaQEYfXnk6ADlrd46lxVcewaME3JNQ=,tag:bIZvdny7CxvdhfxtFL6S8Q==,type:comment]
                            number: ENC[AES256_GCM,data:JiqJ,iv:FZhM1WBqaSyRFHWVBxLF3PuEAoKUInjOCrrkxepLV5M=,tag:Zj2ZDht0S0jWOaWpeAwIog==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSByNGhtRWRwYXNCSkxrbldP
            MzAvOFhsS0RZSGFrLzk5Z1RTV2szOW5qMGpzCllrUDN3ejR0bXJlK0R5S0VGTEVR
            UWpMYVJtQWdHMkVhL1orZDZ6OE1JaU0KLS0tIHFQSFlkU2lCQ3JlQklyS1RPdmZT
            ZmRMOVZ0alZnYVJKb3dzbTZ6TFVHSXcKkyVVddO/r+twHJewXGzG/rxgONoqhSkR
            ceX4xOyoB2PqMJ5RC9apgPpZJYTvCu1pZWIWOa/JtAb48vHQzXqqyA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:75Odm5iB2G+CNKKGfaLCDPs4yaA3QzvXB3VwoJRh3KC+WGMwVUXKqpqXKju7ldaMjJinOS89h1SIuFneE1o7lIVcf4lqIwbJwX7PVEfvKUUByYrjMdT/TW/t6avOrAInqZ1FrvkFb56kNjBnwM8LQ/ptjThlHffDEAusTwf4f0c=,iv:BKoSGzQucM2n4akJhnWL6wHAS/SzJ3EscyNxy+kPC7g=,tag:yBy7PeOn3HjnFCS20Z2wmA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
